Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Dmitry Gutov <[email-masked]>
Date: Mon, 3 Jul 2017 03:22:56 +0300

On 7/2/17 6:18 PM, Eli Zaretskii wrote:

> We could have a feature whereby the coordinates are determined by a
> specific buffer position shown in a "normal" window.

That's what I was thinking of as well. But that, in turn, might call for 
some extra features:

When there is not enough space below the current line to show the popup, 
we display it above the current line. I'd expect the new popup code 
reposition it like that automatically as well.

But: in company we have feature where, when the popup is displayed above 
the current line, the popup lines are inverted vertically (so that the 
first completion is the closest to the current line visually). I'm not a 
fan, but it's fairly popular.

If the core popup handles repositioning, it would have to handle 
inverting (optionally) as well, or run some sort of hook to require the 
popup items to be recomputed.